]> git.xonotic.org Git - xonotic/gmqcc.git/commitdiff
Proper gmqcc sourcing for check-proj
authorDale Weiler <killfieldengine@gmail.com>
Wed, 11 Sep 2013 20:48:01 +0000 (16:48 -0400)
committerDale Weiler <killfieldengine@gmail.com>
Wed, 11 Sep 2013 20:48:01 +0000 (16:48 -0400)
misc/check-proj.sh

index 6573edabcf8b3d368234e3c646f13329760a9722..80d3ee2e7e27571f3a5009fbc4cc3a8e65f0f448 100755 (executable)
@@ -71,13 +71,24 @@ else
 fi
 
 # compile projects in those directories
 fi
 
 # compile projects in those directories
-which gmqcc >> /dev/null || (echo "error gmqcc not installed" && exit 1)
+gmqcc_bin="gmqcc"
+env -i type gmqcc 1>/dev/null 2>&1 || {
+    if [ -f ../gmqcc ]; then
+        echo "found previous build of gmqcc, using it"
+        gmqcc_bin="$(pwd)/../gmqcc"
+    else
+        echo "gmqcc not installed, and previous build doesn't exist"
+        echo "please run make, or make install"
+        exit 1
+    fi
+}
+
 pushd ~/.gmqcc/testsuite/projects >> /dev/null
 find . -maxdepth 1 -mindepth 1 -type d -printf "%f\n" | while read -r line
 do
     echo -n "compiling $line... "
     pushd "$line" >> /dev/null
 pushd ~/.gmqcc/testsuite/projects >> /dev/null
 find . -maxdepth 1 -mindepth 1 -type d -printf "%f\n" | while read -r line
 do
     echo -n "compiling $line... "
     pushd "$line" >> /dev/null
-    gmqcc -std=qcc > /dev/null 2>&1
+    "$gmqcc_bin" -std=qcc > /dev/null 2>&1
     if [ $? -ne 0 ]; then
         echo "error"
     else
     if [ $? -ne 0 ]; then
         echo "error"
     else